package com.kingdee.eas.custom.compensation.basedata;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractPositionSalaryStandardInfo extends com.kingdee.shr.base.syssetting.SHRBaseItemInfo implements Serializable 
{
    public AbstractPositionSalaryStandardInfo()
    {
        this("id");
    }
    protected AbstractPositionSalaryStandardInfo(String pkField)
    {
        super(pkField);
        put("entry", new com.kingdee.eas.custom.compensation.basedata.PositionSalaryStandardEntryCollection());
    }
    /**
     * Object: 岗位薪酬标准对照表 's 岗位 property 
     */
    public com.kingdee.eas.basedata.org.PositionInfo getPosition()
    {
        return (com.kingdee.eas.basedata.org.PositionInfo)get("position");
    }
    public void setPosition(com.kingdee.eas.basedata.org.PositionInfo item)
    {
        put("position", item);
    }
    /**
     * Object: 岗位薪酬标准对照表 's 分录 property 
     */
    public com.kingdee.eas.custom.compensation.basedata.PositionSalaryStandardEntryCollection getEntry()
    {
        return (com.kingdee.eas.custom.compensation.basedata.PositionSalaryStandardEntryCollection)get("entry");
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("85EF02F4");
    }
}